Bug 221095 - REGRESSION: [BigSur wk1] media/mediacapabilities/vp9.html is consistently failing
Summary: REGRESSION: [BigSur wk1] media/mediacapabilities/vp9.html is consistently fai...
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-01-28 13:04 PST by Amir Mark Jr
Modified: 2022-09-07 16:55 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.48 KB, patch)
2021-01-28 16:13 PST, Amir Mark Jr
no flags Details | Formatted Diff | Diff
Patch (1.32 KB, patch)
2021-01-29 09:32 PST, Amir Mark Jr
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Amir Mark Jr 2021-01-28 13:04:52 PST
media/mediacapabilities/vp9.html

Is consistently failing

History link: https://results.webkit.org/?suite=layout-tests&test=media%2Fmediacapabilities%2Fvp9.html

Diff: 

--- /Volumes/Data/slave/bigsur-release-tests-wk1/build/layout-test-results/media/mediacapabilities/vp9-expected.txt
+++ /Volumes/Data/slave/bigsur-release-tests-wk1/build/layout-test-results/media/mediacapabilities/vp9-actual.txt
@@ -1,3 +1,3 @@
 
-PASS Media capabilities in case of disabled VP9
+FAIL Media capabilities in case of disabled VP9 assert_true: expected true got false
Comment 1 Radar WebKit Bug Importer 2021-01-28 13:05:42 PST
<rdar://problem/73721055>
Comment 2 Amir Mark Jr 2021-01-28 13:17:49 PST
Able to reproduce this bug using this command: 

run-webkit-tests media/mediacapabilities/vp9.html --iterations 1000 -f -1
Comment 3 Ryan Haddad 2021-01-28 14:04:53 PST
This test was added with https://trac.webkit.org/changeset/270627/webkit and appears to have been failing from the start.

Youenn, is this expected to work on WK1?
Comment 4 Amir Mark Jr 2021-01-28 16:13:25 PST
Created attachment 418677 [details]
Patch
Comment 5 Ryan Haddad 2021-01-28 16:15:13 PST
Comment on attachment 418677 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=418677&action=review

> LayoutTests/platform/mac-wk1/TestExpectations:1225
> +webkit.org/b/221095 [ BigSur ] media/mediacapabilities/vp9.html [ Pass Failure ]

If this is consistently failing, this should just be [ Failure ]
Comment 6 youenn fablet 2021-01-29 03:21:15 PST
(In reply to Ryan Haddad from comment #3)
> This test was added with https://trac.webkit.org/changeset/270627/webkit and
> appears to have been failing from the start.
> 
> Youenn, is this expected to work on WK1?

VP9 decoder is probably not enabled in WK1, through we could probably enable it using WebCore::registerSupplementalVP9Decoder() according settings.
Jer, is that useful to do so?
Comment 7 Amir Mark Jr 2021-01-29 09:32:41 PST
Created attachment 418737 [details]
Patch
Comment 8 Truitt Savell 2021-01-29 09:35:02 PST
Comment on attachment 418737 [details]
Patch

Clearing flags on attachment: 418737

Committed r272063: <https://trac.webkit.org/changeset/272063>